Erreur lors de l'utilisation de la classe com.simplicite.util.tools.GMapTool

4.0
Tags: #<Tag:0x00007f7d7133cf20>
Erreur lors de l'utilisation de la classe com.simplicite.util.tools.GMapTool
0

#1

Bonjour,

Je rencontre récemment des soucis avec les fonctions distance et geocodeOne de la classe : com.simplicite.util.tools.GMapTool. Voici les messages d’erreur :

org.mozilla.javascript.EvaluatorException: Can't find method com.simplicite.util.tools.GMapTool.distance(java.lang.String,java.lang.String,string,string)

org.mozilla.javascript.EvaluatorException: Can't find method com.simplicite.util.tools.GMapTool.geocodeOne(org.mozilla.javascript.ConsString).

J’ai reproduit la même erreur sur Demo :

2018-11-14 19:08:02,625 ERROR [com.simplicite.util.RhinoScriptInterpreter] SIMPLICITE|http://e3m.simplicite.io:10028||ECORESC002|designer|com.simplicite.util.RhinoScriptInterpreter|DemoClient.preSave||Erreur évaluation script: DemoClient
org.mozilla.javascript.EvaluatorException: Can't find method com.simplicite.util.tools.GMapTool.geocodeOne(org.mozilla.javascript.ConsString). (DemoClient#14) in DemoClient at line number 14

Auriez-vous une idée d’où cela peut venir ?

Merci d’avance pour votre aide.

Abed.


(David AZOULAY) #2

Depuis les changements de politique Google qui rendent la clé d’API obligatoire, les méthodes statiques de la classe GMapTool ont désormais besoin de la clé d’API.

Cf.

https://www.simplicite.io/resources/4.0/javadoc/com/simplicite/util/tools/GMapTool.html#distance-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-
et
https://www.simplicite.io/resources/4.0/javadoc/com/simplicite/util/tools/GMapTool.html#geocodeOne-java.lang.String-java.lang.String-


#3

Merci David. ça remarche.